<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="host.core-service.management.management-interface.native-interface" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="interface,port,sasl-authentication-factory,sasl-protocol,server-name,ssl-context"/>
        <elem name="addr-params" value="host,core-service,management-interface"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.core-service"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.native-interface"/>
    </provides>
    <requires>
        <capability name="org.wildfly.security.sasl-authentication-factory.$sasl-authentication-factory" optional="true"/>
        <capability name="org.wildfly.network.interface.$interface"/>
        <capability name="org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="core-service.management"/>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="server-name" nillable="true" stability="default"/>
        <param name="sasl-authentication-factory" nillable="true" stability="default"/>
        <param name="port" stability="default"/>
        <param name="management-interface" feature-id="true" default="native-interface"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="sasl-protocol" nillable="true" stability="default"/>
        <param name="ssl-context" nillable="true" stability="default"/>
        <param name="interface" stability="default"/>
        <param name="core-service" feature-id="true" default="management"/>
    </params>
</feature-spec>